import { ApiCall } from 'tsrpc';
import { HuoDongFun } from './public/huodongfun';
import { JJCFun } from './public/jjc';
import { setDbIndexes } from './setMongodb';

export class initStarupFun {
    /**插入活动数据 */
    static async initStart() {
        // 创建索引
        await setDbIndexes();
        if (G.argv.serverType != 'cross') {
            // 增加本地活动
            await HuoDongFun.fmtHD()
            // 竞技场增加npc
            await JJCFun.init();
        }
    }
}

